bifunctors-4.1.0.1: Bifunctors

Portability | portable
Stability | provisional
Maintainer | Edward Kmett <ekmett@gmail.com>
Safe Haskell | Safe-Inferred

Data.Bifunctor.Joker

Description

From the Functional Pearl "Clowns to the Left of me, Jokers to the Right: Dissecting Data Structures" by Conor McBride.

Synopsis

- newtype Joker g a b = Joker {
  - runJoker :: g b
  }

# Documentation

newtype Joker g a b Source

Make a `Functor` over the second argument of a `Bifunctor`.

Constructors

Joker |

Fields

runJoker :: g b

Instances

Foldable g => Bifoldable (Joker g) |
Foldable1 g => Bifoldable1 (Joker g) |
Functor g => Bifunctor (Joker g) |
Apply g => Biapply (Joker g) |
Traversable g => Bitraversable (Joker g) |
Traversable1 g => Bitraversable1 (Joker g) |
Applicative g => Biapplicative (Joker g) |
Functor g => Functor (Joker g a) |
Foldable g => Foldable (Joker g a) |
Traversable g => Traversable (Joker g a) |
Traversable1 g => Traversable1 (Joker g a) |
Foldable1 g => Foldable1 (Joker g a) |
Eq (g b) => Eq (Joker g a b) |
Ord (g b) => Ord (Joker g a b) |
Read (g b) => Read (Joker g a b) |
Show (g b) => Show (Joker g a b) |